package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Elcsys;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface ElcsysMapper {

    int insert(Elcsys record);

    int insertSelective(Elcsys record);

    int updateByPrimaryKeySelective(Elcsys record);

    int updateByPrimaryKey(Elcsys record);

    int deleteByPrimaryKey(Elcsys record);

    int deleteByIds(Collection<Object> collection);

    Elcsys selectByPrimaryKey(Elcsys record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Elcsys> dyncRead(Map<String, Object> dyncMap);

    Elcsys selectByWhere(Elcsys record);

    Elcsys selectOneData();

}